QGIS Application - Bug report #16017
Field calculator error with spatialite layer
2016-12-28 11:33 AM - Andrew McAninch

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:2.18.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 23932

Description

I am using OSGEO4W QGIS 2.18.2. When | try to save edits after using the field calculator to calculate a field with a name that has

capital letters, QGIS give the follow error:

1 Commit errors:
SUCCESS: 1 attribute(s) added.
ERROR: field with index 17 is not the same!
Provider: ogr
Storage: SQLite

expected field: name=WFC_wt type=QString typeName=string len=4 precision=0

retrieved field: name=wfc_wt type=QString typeName=String len=4 precision=0

Clearly | should just not use capital letters in a spatialite field name, but | use a variety of formats and would like to not have remind myself

to check first.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:54 AM - Jiirgen Fischer

- Category set to Unknown
#3 - 2019-02-23 05:58 PM - matteo ghetta
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Tested in 3.5 and works.
